Bug 196294 - http backend failed error
http backend failed error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 10:18 EDT by Mark Bidewell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 13:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log (71.41 KB, text/plain)
2006-06-22 18:28 EDT, Mark Bidewell
no flags Details
PPD I was using gave a foomatic-rip error when I tried using it on the server (26.51 KB, application/octet-stream)
2006-06-23 11:11 EDT, Mark Bidewell
no flags Details

  None (edit)
Description Mark Bidewell 2006-06-22 10:18:44 EDT
Description of problem:
I am connecting an FC5 install (cups 1.2.1-1.2) to a FC4 prinst server (1.1.x)
the FC4 system prints fine locally, however, remote printing yields a "http
backend failed error" with an error about not having permissions on
/var/run/cups/certs/0.  SeLinux disabled.

Version-Release number of selected component (if applicable):
cups 1.2.1-1.2
worked fine with 1.1.x

How reproducible:
Always

Steps to Reproduce:
Install printer (Samsung ML-2010)
Try to print
  
Actual results:
Error above

Expected results:
print

Additional info:
cups 1.2.x seem to be giving a lot of distros fits.  This particular problem
seems more similar to those experinced by users of Ubuntu Dapper Drake than
anything I have seen on FC5 forums
Comment 1 Tim Waugh 2006-06-22 12:36:00 EDT
Please include the entire error message.  Sounds like you are confusing two
message, one of them harmless.
Comment 2 Mark Bidewell 2006-06-22 18:28:04 EDT
Created attachment 131397 [details]
error log

This is the error log.	The message I described is toward the top of the file
Comment 3 Mark Bidewell 2006-06-22 18:32:53 EDT
Comment on attachment 131397 [details]
error log

The error did not appear in that file.	The error occurs on startup is:
D [22/Jun/2006:18:59:03 -0400] Loading attributes for job 7...
I [22/Jun/2006:18:59:03 -0400] Full reload complete.
I [22/Jun/2006:18:59:03 -0400] Listening to 127.0.0.1:631 on fd 0...
E [22/Jun/2006:18:59:03 -0400] Unable to set ACLs on root certificate
"/var/run/cups/certs/0" - Operation not supported
Comment 4 Tim Waugh 2006-06-23 04:46:59 EDT
The message in comment #3 is harmless; ignore it.

The problem with the print job is that the final content type is being marked as
printer/Samsung, which the printer claims not to support.

Could you please attach the PPD you are using?  Thanks.
Comment 5 Tim Waugh 2006-06-23 06:55:52 EDT
Actually I don't think I need the PPD -- FINAL_CONTENT_TYPE shouldn't be set to
printer/Samsung regardless of that.
Comment 6 Tim Waugh 2006-06-23 07:08:50 EDT
Reported upstream:
  http://cups.org/str.php?L1795
Comment 7 Mark Bidewell 2006-06-23 11:11:45 EDT
Created attachment 131442 [details]
PPD I was using gave a foomatic-rip error when I tried using it on the server

I tried building cups 1.2.1 on the server and the ppd was rejected
Comment 8 Tim Waugh 2006-07-14 06:50:38 EDT
Please try this test update:

  https://www.redhat.com/archives/fedora-test-list/2006-July/msg00072.html

Does that fix the problem?
Comment 9 Mark Bidewell 2006-07-15 00:01:10 EDT
With the update the printer prints, however, instead of the document I get a
series of lines begining with PJL
Comment 10 Tim Waugh 2006-07-17 04:29:55 EDT
That sounds like the wrong driver is selected.  What printer model do you have,
and which PPD are you using to drive it?
Comment 11 Mark Bidewell 2006-07-17 10:25:01 EDT
I have a Samsung ML-2010.  Samsung claims linux support, but it does not work on
up-to-date distros and linuxprinting.org doesn't have an exact match.  I have
used ML-4500 and ML-1710 ppds from linuxprinting.org both worked with 1.1.x.  I
have also used an unofficial ML-2010 ppd which I believe was a 1710 ppd modified
to correct margin issues.
Comment 12 Mark Bidewell 2006-07-17 10:27:34 EDT
The ppd is attached in comment #7
Comment 13 Tim Waugh 2006-07-17 13:32:06 EDT
If that PPD worked with CUPS-1.1.x (comment #11) I can only think that it's a
gdi driver change in ghostscript.  Please file a separate bug report against
ghostscript.

The original problem (the FINAL_CONTENT_TYPE being wrongly set for backends) has
been fixed for the next update, so I'm closing this bug report.

Note You need to log in before you can comment on or make changes to this bug.